<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
<meta charset="utf-8" />
<title>Comptes</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/bootsrap.min.css"
	th:href="@{css/bootstrap.min.css}" />
<link rel="stylesheet" type="text/css" href="css/style.css"
	th:href="@{css/style.css}" />
</head>
<body>
	<!--  On insere du fragment header du fichier header.html ici -->
	<div th:insert="header::header"></div>
	<div class="container">
		<p></p>

		<div class="row justify-content-md-center">
			<div class="panel panel-info">
				<div class="panel-heading">Consulter compte</div>
				<div class="panel-body">
					<form th:action="@{consulterCompte}" method="get">
						<label>Code du compte :</label> <input type="text"
							name="codeCompte" /> &nbsp;
						<button type="submit" class="btn btn-succes">Consulter</button>
					</form>
					<div class="text-danger" th:if="${exception}"
						th:text="${exception.message}"></div>
				</div>
			</div>

			<div class="panel panel-info" th:if="${compte}">
				<div class="panel-heading">Informations sur le compte</div>
				<div class="panel-body">
					<div>
						<label>Code :</label> <label th:text="${compte.codeCompte}"></label>
					</div>
					<div>
						<label>Type de compte :</label> <label
							th:text="${compte.class.simpleName}"></label>
					</div>
					<div th:if="${compte.class.simpleName=='CompteCourant'}">
						<label>Découvert :</label> <label th:text="${compte.decouvert}"></label>
						<label>DNT</label>
					</div>
					<div th:if="${compte.class.simpleName=='CompteEpargne'}">
						<label>Taux :</label> <label th:text="${compte.taux}"></label>
					</div>
					<div>
						<label>Solde :</label> <label th:text="${compte.solde}"></label> <label>DNT</label>
					</div>
					<div>
						<label>Date de création :</label> <label
							th:text="${compte.dateCreation}"></label>
					</div>
					<div>
						<label>Adresse mail :</label> <label th:text="${compte.client.email}"></label>
					</div>
					<div>
						<label>Propriétaire :</label> <label th:text="${compte.client.nom}"></label>
					</div>


				</div>
			</div>
		</div>
		<div class="col-md-6">
			<div class="panel panel-info" th:if="${compte}">
				<div class="panel-heading">Effectuer une opération</div>
				<div class="panel-body">
					<form th:action="@{/saveOperation}" method="post">
						<div>
							<label> Compte : </label> <input type="hidden" name="codeCompte"
								th:value="${compte.codeCompte}" /> <label
								th:text="${compte.codeCompte}"></label>
						</div>

						<div>
							<input type="radio" name="typeOperation" value="versement"
								checked="checked"
								onchange="document.getElementById('forVirement').style.display='none'" /><label>
								Versement</label>&nbsp; <input type="radio" name="typeOperation"
								value="retrait"
								onchange="document.getElementById('forVirement').style.display='none'" /><label>
								Retrait</label> &nbsp; <input type="radio" name="typeOperation"
								value="virement"
								onchange="document.getElementById('forVirement').style.display='block'" /><label>
								Virement</label>
						</div>
						<div class="form-group">
							<label class="form-label">Montant (DNT) : </label>
							<input type="text" name="montant"  class="form-control"/>
						</div>
						<div class="form-group" id="forVirement" style="display: none">
							<label class="form-label">Vers : </label> <input type="text" name="codeCompte2"
								placeholder="cmpte destinataire" class="form-control" />
						</div>
						<div class="text-danger"
							th:text="${#httpServletRequest.getParameter('error')}"></div>
						<br>

						<button type="submit" class="btn btn-info">Done</button>
					</form>
				</div>
			</div>
			<div class="panel panel-info" th:if="${compte}">
				<div class="panel-heading">Liste d'opération sur le compte</div>
				<div class="panel-body">
					<table class="table table-hover">
						<tr>
							<td>Num</td>
							<td>Type</td>
							<td>Montant</td>
							<td>Date</td>
						</tr>
						<tr th:each="op:${listOperations}">
							<td th:text="${op.numero}"></td>
							<td th:text="${op.class.simpleName}"></td>
							<td th:text="${op.montant}"></td>
							<td th:text="${op.dateOperation}"></td>
						</tr>
					</table>
					
				</div>
				<div class="container">
						<ul class="nav nav-pills">
							<li th:class="${pageCourante==status.index?'active':''}"
								th:each="page,status:${pages}"><a
								th:href="@{consulterCompte(codeCompte=${compte.codeCompte},page=${status.index})}"
								th:text="${status.index}"></a></li>
						</ul>
					</div><br>
			</div>
		</div>
	</div>
</body>
</html>